Bug 18858 - Warn when deleting a borrower debarment
Summary: Warn when deleting a borrower debarment
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-06-27 01:41 UTC by Aleisha Amohia
Modified: 2017-07-31 12:15 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18858: Prevent warn when deleting a borrower debarment (1.04 KB, patch)
2017-06-27 01:43 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18858: Prevent warn when deleting a borrower debarment (1.12 KB, patch)
2017-07-13 21:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-06-27 01:41:11 UTC
Deleting a debarment causes this warn in the logs:
CGI::param called in list context from package CGI::Compile::ROOT::home_vagrant_kohaclone_members_mod_debarment_2epl line 36, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436.
Comment 1 Aleisha Amohia 2017-06-27 01:43:13 UTC
Created attachment 64665 [details] [review]
Bug 18858: Prevent warn when deleting a borrower debarment

To test:
1) Look at intranet log
2) Go to delete a debarment on a borrower
3) Notice warn
4) Apply patch
5) Add a new debarment
6) Delete this debarment
7) Notice warn is gone

Sponsored-by: Catalyst IT
Comment 2 Jonathan Druart 2017-07-13 21:24:07 UTC
Created attachment 65033 [details] [review]
Bug 18858: Prevent warn when deleting a borrower debarment

To test:
1) Look at intranet log
2) Go to delete a debarment on a borrower
3) Notice warn
4) Apply patch
5) Add a new debarment
6) Delete this debarment
7) Notice warn is gone

Sponsored-by: Catalyst IT

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-07-13 21:24:27 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2017-07-13 21:43:29 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-07-18 12:56:12 UTC
Pushed to 17.05.x, will be in 17.05.02
Comment 6 Katrin Fischer 2017-07-19 21:15:50 UTC
This patch has been pushed to 16.11.x and will be in 16.11.10.
Comment 7 Mason James 2017-07-31 12:15:02 UTC
Pushed to 16.05.x, for 16.05.15 release